﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Drawing;

namespace EnemyPlacementTester
{
    public class CEnemyCreator : CItemCreator
    {
        public override IDiagramItem createItem(eEnemy enemy, Point newPoint)
        {
            // creates the correct object based on the enum provided
            switch(enemy)
            {
                case eEnemy.virus:
                        return new CEnemy(enemy, Properties.Resources.Virus_Two, newPoint, 150, 75);
                case eEnemy.cell:
                        return new CEnemy(enemy, Properties.Resources.WhiteCell_One, newPoint, 200, 50);
                default:
                        return null;
            }
        }
    }
}
