﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Drawing;
using System.IO;
using System.Runtime.Serialization.Formatters;

namespace EnemyPlacementTester
{
    public interface IDiagramItem
    {
        bool containsPoint(Point p);
        void draw(Graphics g, bool showVision, bool showRepulsion, bool currentSelection);
        string getExportData();
        void updatePosition(Point newPosition, bool usingMouse);
    }
}
